[galera]
wsrep_on = ON
wsrep_cluster_name = mariadb-cluster
wsrep_provider = /usr/lib/galera/libgalera_smm.so
wsrep_cluster_address = "gcomm://node01,node02,arbitrator"
wsrep_sst_method = mariabackup
wsrep_sst_auth = mariabackup:<password>
default_storage_engine = InnoDB
innodb_autoinc_lock_mode = 2
bind_address = 10.96.53.1

wsrep_slave_threads = 4
innodb_flush_log_at_trx_commit = 0

wsrep_provider_options = "gcs.fc_limit=20;gcs.fc_factor=0.8;gcache.size=1G;socket.ssl=1;socket.ssl_ca=/etc/mysql/ssl/root.rsa.crt;socket.ssl_cert=/etc/mysql/ssl/server.rsa.crt;socket.ssl_key=/etc/mysql/ssl/server.rsa.key;socket.ssl_cipher=TLS-AES-256-GCM-SHA384:TLS-CHACHA20-POLY1305-SHA256:ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:DHE-RSA-AES256-GCM-SHA384:DHE-RSA-CHACHA20-POLY1305;"

[sst]
encrypt = 4
tca = /etc/mysql/ssl/root.rsa.crt
tcert = /etc/mysql/ssl/server.rsa.crt
tkey = /etc/mysql/ssl/server.rsa.key
